Subject: Re: Any cygwin ports of Berkeley DB libraries?
From: Sebastien Barre <[email-masked]>
To: "Kevin Wright" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 10 Mar 1999 22:46:21 +0100

At 11:07 09/03/99 -0800, Kevin Wright wrote:

>I have tried to build this myself from the source code and always run into
>trouble. So far, I have tried to build versions 1.86, 2.3.16, & 2.7.3 with
>no luck.

Well, seems to me that I'm finally gonna be able to help someone in this
list :)

I successfully built/tested/installed 2.7.3, and here is the patch, which
was not that obivous :( I also made a bug report to the author :

vvvvv CUT HERE  vvvvv
diff -urN db-2.7.3-orig/mutex/mutex.c db-2.7.3/mutex/mutex.c
--- db-2.7.3-orig/mutex/mutex.c	Tue Nov 10 17:52:03 1998
+++ db-2.7.3/mutex/mutex.c	Sat Mar 06 13:06:09 1999
@@ -117,7 +117,7 @@
 #define	TSL_UNSET(tsl)	(*(tsl) = 0)
 #endif
 
-#if defined(_WIN32)
+#if defined(_WIN32) && !defined(HAVE_ASSEM_X86_GCC)
 /*
  * XXX
  * DBDB this needs to be byte-aligned!!
diff -urN db-2.7.3-orig/os/os_fsync.c db-2.7.3/os/os_fsync.c
--- db-2.7.3-orig/os/os_fsync.c	Mon Oct 12 15:33:53 1998
+++ db-2.7.3/os/os_fsync.c	Sat Mar 06 13:08:01 1999
@@ -38,7 +38,7 @@
 #ifdef __hp3000s900
 #define	fsync(fd)	__mpe_fsync(fd);
 #endif
-#ifdef _WIN32
+#if defined(_WIN32) && !defined(__CYGWIN__)
 #define	fsync(fd)	_commit(fd);
 #endif
 
^^^^ CUT HERE  ^^^^^

cd db-2.7.3
patch -p1 < the_path

______________________________________________________________
Sebastien Barre                  http://www.hds.utc.fr/~barre/

--
Want to unsubscribe from this list?
Send a message to [email-masked]